Shumoku Server API · 0.3.0-beta.2 · Credentials
Delete a credential; its devices become un-assigned
DELETE /api/credentials/{id} Authentication
sessionCookie / bearerAuth
Responses
| Status | Description | Schema |
|---|---|---|
200 | Credential deleted | DeleteCredentialResult |
400 | The request did not match the API contract | Error |
404 | Credential or topology not found | Error |
409 | Conflict, e.g. a credential with this name already exists | Error |
500 | Credential operation failed | Error |